<template>
  <a-result :status="projectSaveStatus" :title="projectSaveStatus" :sub-title="description">
    <template #extra>
      <a-button type="primary" @click="toProjectList">去列表页</a-button>
    </template>
  </a-result>
</template>

<script>
// 这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
// 例如：import 《组件名称》 from '《组件路径》'

export default {
  // import引入的组件需要注入到对象中才能使用
  components: {},
  props: {
    projectSaveStatus: {
      type: String,
      default: 'success',
    },
    projectForm: {
      type: Object,
    },
  },
  data() {
    // 这里存放数据
    return {
      //   status: 'success',
      //   title: '项目保存',
      form: this.projectForm,
      description: '请返回列表中查看',
    }
  },
  // 计算属性 类似于data概念
  computed: {},
  // 监控data中的数据变化
  watch: {},
  // 方法集合
  methods: {
    toPrev() {
      // this.$emit('prevStep',this.selectedRowKeys)
      console.log('结果页返回修改')
      this.$emit('prevStep', this.form)
    },
    toProjectList() {
      this.$router.push({
        path: '/project/list/'+this.$route.query.t,
        query: { 
          t: this.$route.query.t,
          projectPageNum: 1 ,
          },
      })
    },
  },
  // 生命周期 - 创建完成（可以访问当前this实例）
  created() {},
  // 生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {},
  // 生命周期 - 创建之前
  beforeCreate() {},
  // 生命周期 - 挂载之前
  beforeMount() {},
  // 生命周期 - 更新之前
  beforeUpdate() {},
  // 生命周期 - 更新之后
  updated() {},
  // 生命周期 - 销毁之前
  beforeDestroy() {},
  // 生命周期 - 销毁完成
  destroyed() {},
  // 如果页面有keep-alive缓存功能，这个函数会触发
  activated() {},
}
</script>
<style scoped>
</style>